package com.ym.mec.collectfee.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(school):
 */
public class School {

	/** 乐团id */
	private Integer id;
	
	/** 乐团名称 */
	private String name;
	
	/** 状态1报名中，2缴费中，3报名截止，4已开团 */
	private Integer status;
	
	/** 分部编号 */
	private Integer branchId;
	
	/** 分部名称 */
	private String branchName;
	
	/** 乐器保证金 */
	private String eDeposit;
	
	/** 学校id */
	private Integer schoolId;
	
	/** 学校名称 */
	private String schoolName;

	private Integer cityId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String geteDeposit() {
		return eDeposit;
	}

	public void seteDeposit(String eDeposit) {
		this.eDeposit = eDeposit;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setStatus(Integer status){
		this.status = status;
	}
	
	public Integer getStatus(){
		return this.status;
	}
			
	public void setBranchId(Integer branchId){
		this.branchId = branchId;
	}
	
	public Integer getBranchId(){
		return this.branchId;
	}
			
	public void setBranchName(String branchName){
		this.branchName = branchName;
	}
	
	public String getBranchName(){
		return this.branchName;
	}
			
	public void setEDeposit(String eDeposit){
		this.eDeposit = eDeposit;
	}
	
	public String getEDeposit(){
		return this.eDeposit;
	}
			
	public void setSchoolId(Integer schoolId){
		this.schoolId = schoolId;
	}
	
	public Integer getSchoolId(){
		return this.schoolId;
	}
			
	public void setSchoolName(String schoolName){
		this.schoolName = schoolName;
	}
	
	public String getSchoolName(){
		return this.schoolName;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
